summaryrefslogtreecommitdiff
path: root/tests/cond23.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2002-06-19 19:57:40 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2002-06-19 19:57:40 +0000
commit09bd5f35e4194e9d73c830a07475303081af2424 (patch)
tree3b21db62d2752af76708eddd3c9e781fd6b5f841 /tests/cond23.test
parent819633275bb7a9c80ee8b9d6395e68ec6bbf20ee (diff)
downloadautomake-09bd5f35e4194e9d73c830a07475303081af2424.tar.gz
* lib/am/lang-compile.am (%FPFX%DEPMODE): Delete. This is now
traced from configure.ac. * automake.in (macro_define): Don't accept to override an AC_SUBST or Automake variable in a new condition. * tests/cond23.test, tests/cond24.test: New file. * tests/Makefile.am (TESTS): Add cond23.test and cond24.test. Reported by Patrik Weiskirchre.
Diffstat (limited to 'tests/cond23.test')
-rwxr-xr-xtests/cond23.test23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/cond23.test b/tests/cond23.test
new file mode 100755
index 000000000..8de8a5a94
--- /dev/null
+++ b/tests/cond23.test
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# Check that conditional redefinitions of AC_SUBST'ed variables are detected.
+# Report from Patrik Weiskircher
+
+. $srcdir/defs
+
+set -e
+
+cat >>configure.in <<EOF
+AM_CONDITIONAL([COND], [true])
+AC_OUTPUT
+EOF
+
+cat >Makefile.am <<EOF
+if COND
+libdir = mumble
+endif
+EOF
+
+$ACLOCAL
+$AUTOMAKE 2>stderr && exit 1
+grep 'libdir was already defined' stderr